// importing select and arc api's from d3 js
import { select, arc } from 'd3';

// Selecting the SVG image present in HTML file and considered 
// as base element for the whole face.
const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const rightHair = svg.append('circle');
rightHair.attr('r', 140)
 		.attr('cx', 510)
		.attr('cy', 180)
    .attr('fill', 'black');

const leftHair = svg.append('circle');
leftHair.attr('r', 100)
 		.attr('cx', 400)
		.attr('cy', 175)
    .attr('fill', 'black');


const leftUpperEar = svg.append('circle');
leftUpperEar.attr('r', 40)
 		.attr('cx', 305)
		.attr('cy', height/2)
    .attr('fill', '#D9D9D9');

const rightUpperEar = svg.append('circle');
rightUpperEar.attr('r', 40)
 		.attr('cx', 655)
		.attr('cy', height/2)
    .attr('fill', '#D9D9D9');

const shoulders = svg.append("ellipse")
shoulders.attr("cx", 478)
        .attr("cy", 510)
        .attr("rx", 250)
        .attr("ry", 100)
        .attr('fill', 'white')
        .attr('stroke', 'black');  


const neck = svg.append('path');
neck.attr('d', arc()({
      	innerRadius: 0,
      	outerRadius: 130,
      	startAngle: 2,
      	endAngle: 4.3 }))
     .attr("transform", `translate(${width / 2}, 370)`);

const head = svg.append('circle');
head.attr('r', height / 3)
 		.attr('cx', width/2)
		.attr('cy', height/2)
    .attr('fill', '#ECD4BE')
    .attr('stroke', 'black');

const lowerHat = svg.append("ellipse")
lowerHat.attr("cx", 478)
        .attr("cy", 105)
        .attr("rx", 225)
        .attr("ry", 70)
        .attr('fill', 'black')
        .attr('stroke', 'black')
        .transition().duration(2000)
							.attr("cy", 50)
				.transition().duration(2000)
							.attr("cy", 105);  

const upperHat = svg.append("ellipse")
upperHat.attr("cx", 475)
        .attr("cy", 50)
        .attr("rx", 70)
        .attr("ry", 45)
        .attr('fill', 'black')
        .attr('stroke', 'black')
        .transition().duration(2000)
							.attr("cy", 10)
				.transition().duration(2000)
							.attr("cy", 50);


const leftEye = svg.append("ellipse")
leftEye.attr("cx", 410)
        .attr("cy", 237)
        .attr("rx", 25)
        .attr("ry", 15)
        .attr('fill', 'white')
        .attr('stroke', 'black'); 

const rightEye = svg.append("ellipse")
rightEye.attr("cx", 540)
        .attr("cy", 237)
        .attr("rx", 25)
        .attr("ry", 15)
        .attr('fill', 'white')
        .attr('stroke', 'black'); 

const leftEyebrow = svg.append('path');
leftEyebrow.attr('d', arc()({
                  innerRadius: 120,
                  outerRadius: 130,
                  startAngle: 6.1,
                  endAngle: 6.55 }))
     			 .attr("transform", `translate(405,330)`);

const rightEyebrow = svg.append('path');
rightEyebrow.attr('d', arc()({
                  innerRadius: 120,
                  outerRadius: 130,
                  startAngle: 6.1,
                  endAngle: 6.55 }))
     			 .attr("transform", `translate(535,330)`);



const nose = svg.append('polygon');
nose.attr("points", "475,275 500,320 455,320")
    .attr('fill', '#5A5252');

const mouth = svg.append('path');
mouth.attr('d', arc()({
      	innerRadius: 120,
      	outerRadius: 130,
      	startAngle: 2.3,
      	endAngle: 4 }))
     .attr("transform", `translate(${width / 2}, ${height / 2})`);



const leftShade = svg.append("ellipse")
leftShade.attr("cx", 410)
        .attr("cy", 237)
        .attr("rx", 50)
        .attr("ry", 25)
        .attr('fill', 'black');

const rightShade = svg.append("ellipse")
rightShade.attr("cx", 540)
        .attr("cy", 237)
        .attr("rx", 50)
        .attr("ry", 25)
        .attr('fill', 'black');

const shadesSupport = svg.append("rect")
shadesSupport.attr("x", 450)
        .attr("y", 234)
        .attr("width", 50)
        .attr("height", 5);

const cigarette = g
	.append('rect')
		.attr('x', 0)
		.attr('y', 167)
		.attr('width', 20)
    .attr('height', 200)
    .attr('fill', 'black')
    .attr('stroke', teethStroke);


